/*
 * Copyright (c) 2005 DocJava, Inc. All Rights Reserved.
 */
package j2d.filters.bufferedImageConvolution;

import j2d.border.Utils;
import utils.PrintUtils;

import java.awt.*;

/**
 * User: lyon
 * Date: Nov 13, 2005
 * Time: 6:17:12 PM
 * Copyright DocJava, Inc. 2005.
 */
public class PFAImageConvolver implements ImageMatrixBeanProcessorInterface {
    ImageMatrixBean imb;

    public PFAImageConvolver(ImageMatrixBean imb) {
        this.imb = imb;
    }

    //todo this is your midterm, right here ----->>>>>
    public Image process(Image image) {
        byte b[][] = imb.getData();
        PrintUtils.print(b);
        int w = image.getWidth(null);
        int h = image.getHeight(null);
        int left = w / 2 + b.length / 2;
        int top = h / 2 + b[0].length / 2;
        return Utils.getBorderImage(imb.getImage(),
                left, left, top, top, imb.getBorderType());

    }

    public String toString() {
        return "pfa convolution";
    }

    public void setImageMatrixBean(ImageMatrixBean imb) {
        this.imb = imb;
    }

    public ImageMatrixBean getImageMatrixBean() {
        return imb;
    }
}
