package math.complex;

/**
 * Warning, doing operations with this type of ComplexArray
 * can be really slow.
 */
public class ComplexArray {
    private Complex elements[] = null;

    public ComplexArray(int size) {
        elements = new Complex[size];

    }

    public void set(int elementNumber, double r, double i) {
        elements[elementNumber].set(r, i);
    }

    public double getReal(int elementNumber) {
        return elements[elementNumber].getReal();
    }

    public double getImaginary(int elementNumber) {
        return elements[elementNumber].getImaginary();
    }

    public void setReal(int elementNumber, double r) {
        elements[elementNumber].setReal(r);
    }

    public void addReal(int elementNumber, double r) {
        elements[elementNumber].addReal(r);
    }

    public void addImaginary(int elementNumber, double i) {
        elements[elementNumber].addImaginary(i);
    }

    public void setImaginary(int elementNumber, double i) {
        elements[elementNumber].setImaginary(i);
    }
}